#!/bin/bash -login
#PBS -l walltime=4:00:00,nodes=1:ppn=1,mem=10gb
#PBS -j oe
#PBS -N readtrimming.log
#PBS -t 1-9

#create array of samples
samples[1]=Tf_10_B_GCCAAT_L003
samples[2]=Tf_15_B_CAGATC_L003
samples[3]=Tf_17_B_ACTTGA_L003
samples[4]=Tf_18_B_GATCAG_L003
samples[5]=Tf_3_B_ATCACG_L003
samples[6]=Tf_5_B_CGATGT_L003
samples[7]=Tf_6_B_TTAGGC_L003
samples[8]=Tf_7_B_TGACCA_L003
samples[9]=Tf_9_B_ACAGTG_L003

#create variables for my samples and results
smpl=/mnt/home/bowsher1/rawdata
results=/mnt/home/bowsher1/trimmoResults
sample=${samples[${PBS_ARRAYID}]}

module load Trimmomatic/0.33

java -jar /opt/software/Trimmomatic/0.33/trimmomatic PE -phred33 $smpl/${sample}_R1_001.fastq.gz $smpl/${sample}_R2_001.fastq.gz $results/${sample}_1.fq.gz $results/${sample}_1up.fq.gz $results/${sample}_2.fq.gz $results/${sample}_2up.fq.gz HEADCROP:10 LEADING:10 TRAILING:10 SLIDINGWINDOW:5:25 MINLEN:50

