# Read in DE genes from DESeq2
desresSig12table <- read.table ("E:/Alan_Tfuc_Rcode/top12_des.txt", sep="", row.names=1, head=T)
dim(desresSig12table)
head(desresSig12table)
desresSig13table <- read.table ("E:/Alan_Tfuc_Rcode/top13_des.txt", sep="", row.names=1, head=T)
dim(desresSig13table)
head(desresSig13table)
desresSig23table <- read.table ("E:/Alan_Tfuc_Rcode/top23_des.txt", sep="", row.names=1, head=T)
dim(desresSig23table)
head(desresSig23table)

# Read in DE genes from edgeR
edgerSig12table <- read.table("E:/Alan_Tfuc_Rcode/top12.txt")
dim(edgerSig12table)
head(edgerSig12table)
edgerSig13table <- read.table("E:/Alan_Tfuc_Rcode/top13.txt")
edgerSig23table <-read.table("E:/Alan_Tfuc_Rcode/top23.txt")

#Finding genes that are DE in both edgeR and DESeq
ER_DES_12 <- unique(merge(desresSig12table, edgerSig12table, by = "row.names", all=FALSE))
ER_DES_13 <- unique(merge(desresSig13table, edgerSig13table, by = "row.names", all=FALSE))
ER_DES_23 <- unique(merge(desresSig23table, edgerSig23table, by = "row.names", all=FALSE))
dim(ER_DES_12)
dim(ER_DES_13)
dim(ER_DES_23)
write.table(ER_DES_12, "E:/Alan_Tfuc_Rcode/ER_DES_12.txt",quote=FALSE, sep="\t")
write.table(ER_DES_13, "E:/Alan_Tfuc_Rcode/ER_DES_13.txt",quote=FALSE, sep="\t")
write.table(ER_DES_23, "E:/Alan_Tfuc_Rcode/ER_DES_23.txt",quote=FALSE, sep="\t")

#genes responding to BOTH congener and conspecific in both programs.
ER_DES_congandconsp <- unique(merge(ER_DES_12, ER_DES_13, by="Row.names", all=FALSE))
dim(ER_DES_congandconsp)
head(ER_DES_congandconsp)
BLASTing <- read.table("E:/Alan_Tfuc_Rcode/Tophits_XLOC.txt", quote="", sep="\t", head=F)
dim(BLASTing)
ER_DES_congandconsp_BLAST <- unique(merge(ER_DES_congandconsp, BLASTing, by.x = 1, by.y="V1", all=FALSE))
dim(ER_DES_congandconsp_BLAST)
write.table(ER_DES_congandconsp_BLAST, "E:/Alan_Tfuc_Rcode/shared_DE_congandconsp_withBLAST.txt",quote=FALSE, sep="\t")

#genes responding to BOTH congener and conspecific in either program.
ER_DES_congandconspall <- unique(merge(ER_DES_12, ER_DES_13, by="Row.names", all=TRUE))
dim(ER_DES_congandconspall)
head(ER_DES_congandconspall)
BLASTing <- read.table("E:/Alan_Tfuc_Rcode/Tophits_XLOC.txt", quote="", sep="\t", head=F)
dim(BLASTing)
ER_DES_congandconspall_BLAST <- unique(merge(ER_DES_congandconspall, BLASTing, by.x = 1, by.y="V1", all=FALSE))
dim(ER_DES_congandconspall_BLAST)
write.table(ER_DES_congandconspall_BLAST, "E:/Alan_Tfuc_Rcode/shared_DE_congandconspall_withBLAST.txt",quote=FALSE, sep="\t")

#Annotating differentially expressed genes common to both edgeR and DESeq2.
anotate <- read.table("E:/Alan_Tfuc_Rcode/Tophits_withGO_forR.txt")
head(anotate)
dim(anotate)
ER_DES_12_GO <- unique(merge(ER_DES_12, anotate, by.x="Row.names", by.y="V2", all=FALSE))
ER_DES_13_GO <- unique(merge(ER_DES_13, anotate, by.x="Row.names", by.y="V2", all=FALSE))
ER_DES_23_GO <- unique(merge(ER_DES_23, anotate, by.x="Row.names", by.y="V2", all=FALSE))
dim(ER_DES_12_GO)
dim(ER_DES_13_GO)
dim(ER_DES_23_GO)
write.table(ER_DES_12_GO, "E:/Alan_Tfuc_Rcode/shared_DE_1vs2_withanot.txt",quote=FALSE, sep="\t")
write.table(ER_DES_13_GO, "E:/Alan_Tfuc_Rcode/shared_DE_1vs3_withanot.txt",quote=FALSE, sep="\t")
write.table(ER_DES_23_GO, "E:/Alan_Tfuc_Rcode/shared_DE_2vs3_withanot.txt",quote=FALSE, sep="\t")

BLASTing <- read.table("E:/Alan_Tfuc_Rcode/Tophits_XLOC.txt", quote="", sep="\t", head=F)
dim(BLASTing)
ER_DES_12_BLAST <- unique(merge(ER_DES_12, BLASTing, by.x = "Row.names", by.y="V1", all=FALSE))
ER_DES_13_BLAST <- unique(merge(ER_DES_13, BLASTing, by.x = "Row.names", by.y="V1", all=FALSE))
ER_DES_23_BLAST <- unique(merge(ER_DES_23, BLASTing, by.x = "Row.names", by.y="V1", all=FALSE))
dim(ER_DES_12_BLAST)
dim(ER_DES_13_BLAST)
dim(ER_DES_23_BLAST)
write.table(ER_DES_12_BLAST, "E:/Alan_Tfuc_Rcode/shared_DE_1vs2_withBLAST.txt",quote=FALSE, sep="\t")
write.table(ER_DES_13_BLAST, "E:/Alan_Tfuc_Rcode/shared_DE_1vs3_withBLAST.txt",quote=FALSE, sep="\t")
write.table(ER_DES_23_BLAST, "E:/Alan_Tfuc_Rcode/shared_DE_2vs3_withBLAST.txt",quote=FALSE, sep="\t")

# Getting full list of DE genes from both edgeR and DESeq.
ER_DES_12_and_13 <- unique(merge(ER_DES_12, ER_DES_13, by = 1, all=TRUE))
dim(ER_DES_12_and_13)
ER_DES_All <- unique(merge(ER_DES_12_and_13, ER_DES_23, by=1, all=TRUE))
dim(ER_DES_All)
BLASTing <- read.table("E:/Alan_Tfuc_Rcode/Tophits_XLOC.txt", quote="", sep="\t", head=F)
dim(BLASTing)
ER_DES_all_BLAST <- unique(merge(ER_DES_All, BLASTing, by.x = "Row.names", by.y="V1", all.x=TRUE, all=FALSE))
dim(ER_DES_all_BLAST)
write.table(ER_DES_all_BLAST, "E:/Alan_Tfuc_Rcode/ER_DES_all_BLAST.txt",quote=FALSE, sep="\t")

# Now just getting the list of all genes that have cpm>1 in at least 2 samples.
#and getting only those with GO annotations.
# will use this list for GOstat as the database.
top12list <- topTags(et12, n=nrow(d2$counts))$table
dim(top12list)
head(top12list)

GOstat_db <- read.table("E:/Alan_Tfuc_Rcode/Tophits_withGO_forR.txt", quote="", sep="", row.names=2, head=F)
head(GOstat_db)
dim(GOstat_db)
head(top12list)
GOdb_list <- unique(merge(top12list, GOstat_db, by = "row.names", all=FALSE))
dim(GOdb_list)
head(GOdb_list)
write.table(GOdb_list, "E:/Alan_Tfuc_Rcode/GOstat_db.txt", quote=FALSE, sep="\t")
