library(VennDiagram)
library(grDevices)
citation("VennDiagram")

### Venn diagram of DE genes in all 3 contrasts (edgeR only)
v4 <- venn.diagram(list(Alonevs.Congeneric=sig_gene_data_12_er_5, Alonevs.Conspecific=sig_gene_data_13_er_5,Congenericvs.Conspecific=sig_gene_data_23_er_5),cat.dist=-.075,filename=NULL,alpha = c(0.4, 0.4,0.4), cex = 2, fill=c("red","green", "blue"), lty =3)
grid.newpage()
grid.draw(v4)

### Venn diagram of DE genes in all 3 contrasts (DESeq2 only)
v5 <- venn.diagram(list(Alonevs.Congeneric=sig_gene_data_12_des_5, Alonevs.Conspecific=sig_gene_data_13_des_5,Congenericvs.Conspecific=sig_gene_data_23_des_5),cat.dist=-.04,filename=NULL,alpha = c(0.4, 0.4,0.4), cex = 2, fill=c("red","green", "blue"), lty =3)
grid.newpage()
grid.draw(v5)


### Venn diagram of DE genes in all 3 contrasts (shared by edgeR and DESeq)
aaa  <- ER_DES_12[,1]
bbb  <- ER_DES_13[,1]
ccc  <- ER_DES_23[,1]
aaa
v4 <- venn.diagram(list(Alonevs.Congeneric=aaa, Alonevs.Conspecific=bbb,Congenericvs.Conspecific=ccc),cat.dist=-.075,filename=NULL,alpha = c(0.4, 0.4,0.4), cex = 2, fill=c("red","green", "blue"), lty =3)
grid.newpage()
grid.draw(v4)


